Bug 1795056 (golang-gopkg-h2non-gock-1) - Review Request: golang-gopkg-h2non-gock-1 - Expressive HTTP traffic mocking and testing made easy in Go
Summary: Review Request: golang-gopkg-h2non-gock-1 - Expressive HTTP traffic mocking a...
Keywords:
Status: CLOSED ERRATA
Alias: golang-gopkg-h2non-gock-1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 18:42 UTC by Robert-André Mauchin
Modified: 2020-03-16 20:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-15 13:42:16 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2020-01-26 18:42:37 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-gopkg-h2non-gock-1.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-gopkg-h2non-gock-1-1.0.15-1.fc32.src.rpm

Description:
 Versatile HTTP mocking made easy in Go for net/http stdlib package.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2020-01-26 18:50:33 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=41047970

Comment 2 Elliott Sales de Andrade 2020-02-09 23:12:04 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "Expat
     License". 53 files have unknown license. Detailed output of
     licensecheck in 1795056-golang-gopkg-h2non-gock-1/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 30 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-gopkg-h2non-gock-1-1.0.15-1.fc32.src.rpm
golang-gopkg-h2non-gock-1.src: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
golang-gopkg-h2non-gock-1.src: W: no-%build-section
golang-gopkg-h2non-gock-1.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
compat-golang-github-h2non-gock-devel.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
compat-golang-github-h2non-gock-devel.noarch: W: spelling-error %description -l en_US gopkg -> go pkg, go-pkg, GOP
compat-golang-github-h2non-gock-devel.noarch: W: obsolete-not-provided golang-github-h2non-gock-devel
compat-golang-github-h2non-gock-devel.noarch: W: no-documentation
compat-golang-github-h2non-gock-devel.noarch: W: dangling-relative-symlink /usr/share/gocode/src/github.com/h2non/gock ../../gopkg.in/h2non/gock.v1
golang-gopkg-h2non-gock-1.src: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
golang-gopkg-h2non-gock-1.src: W: no-%build-section
golang-gopkg-h2non-gock-1.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables
!
golang-gopkg-h2non-gock-1-devel.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
golang-gopkg-h2non-gock-1-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/h2non/gock.v1/.goipath
3 packages and 0 specfiles checked; 1 errors, 9 warnings.


Source checksums
----------------
https://github.com/h2non/gock/archive/v1.0.15/gock-1.0.15.tar.gz :
  CHECKSUM(SHA256) this package     : d8372986826ae5dbf0d4ec5d90e8b051c9b142585a69d7ae9d176025262e8f92
  CHECKSUM(SHA256) upstream package : d8372986826ae5dbf0d4ec5d90e8b051c9b142585a69d7ae9d176025262e8f92


Requires
--------
golang-gopkg-h2non-gock-1-devel-1.0.15-1.fc32.noarch.rpm:
	go-filesystem
	golang(github.com/h2non/parth)
	rpmlib(CompressedFileNames) <= 3.0.4-1
	rpmlib(FileDigests) <= 4.6.0-1
	rpmlib(PayloadFilesHavePrefix) <= 4.0-1
	rpmlib(PayloadIsZstd) <= 5.4.18-1
compat-golang-github-h2non-gock-devel-1.0.15-1.fc32.noarch.rpm:
	go-filesystem
	golang-ipath(gopkg.in/h2non/gock.v1) = 1.0.15-1.fc32
	rpmlib(CompressedFileNames) <= 3.0.4-1
	rpmlib(FileDigests) <= 4.6.0-1
	rpmlib(PayloadFilesHavePrefix) <= 4.0-1
	rpmlib(PayloadIsZstd) <= 5.4.18-1


Provides
--------
golang-gopkg-h2non-gock-1-devel-1.0.15-1.fc32.noarch.rpm:
	golang(gopkg.in/h2non/gock.v1) = 1.0.15-1.fc32
	golang-gopkg-h2non-gock-1-devel = 1.0.15-1.fc32
	golang-ipath(gopkg.in/h2non/gock.v1) = 1.0.15-1.fc32
compat-golang-github-h2non-gock-devel-1.0.15-1.fc32.noarch.rpm:
	compat-golang-github-h2non-gock-devel = 1.0.15-1.fc32
	golang(github.com/h2non/gock) = 1.0.15-1.fc32
	golang-symlink(github.com/h2non/gock) = 1.0.15-1.fc32


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1795056 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: C/C++, R, Haskell, Java, Ocaml, SugarActivity, Python, PHP, Perl, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Elliott Sales de Andrade 2020-02-09 23:44:17 UTC
Actually, won't the compat package conflict with golang-github-h2non-gock? Are you retiring that one (the compat package Obsoletes it)?

Comment 4 Robert-André Mauchin 2020-02-13 21:58:49 UTC
(In reply to Elliott Sales de Andrade from comment #3)
> Actually, won't the compat package conflict with golang-github-h2non-gock?
> Are you retiring that one (the compat package Obsoletes it)?

Yes I'm retiring that one in favor of the new upstream import path. I should add Obsoletes as well then.

Comment 6 Robert-André Mauchin 2020-02-13 22:03:20 UTC
Thanks for the review!

Comment 7 Elliott Sales de Andrade 2020-02-16 08:44:28 UTC
I don't think you need that; the %goaltipaths creates a compat-golang-github-h2non-gock-devel-1.0.15-1.fc32.noarch.rpm which Obsoletes that old package.

Comment 8 Gwyn Ciesla 2020-03-04 17:49:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-gopkg-h2non-gock-1

Comment 9 Fedora Update System 2020-03-05 20:07:02 UTC
FEDORA-2020-dd10eb3728 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd10eb3728

Comment 10 Fedora Update System 2020-03-06 20:23:14 UTC
golang-gopkg-h2non-gock-1-1.0.15-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd10eb3728

Comment 11 Fedora Update System 2020-03-06 22:35:29 UTC
FEDORA-2020-8e0f60f8bc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8e0f60f8bc

Comment 12 Fedora Update System 2020-03-08 01:37:16 UTC
golang-gopkg-h2non-gock-1-1.0.15-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8e0f60f8bc

Comment 13 Fedora Update System 2020-03-15 13:42:16 UTC
golang-gopkg-h2non-gock-1-1.0.15-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-03-16 20:34:23 UTC
golang-gopkg-h2non-gock-1-1.0.15-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.